## org.apache.poi.hslf.exceptions
Class OldPowerPointFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.poi.OldFileFormatException
                          org.apache.poi.hslf.exceptions.OldPowerPointFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class OldPowerPointFormatException

extends OldFileFormatException

This exception is thrown when we try to open a PowerPoint file, and it's too old for us.

See Also:
  Serialized Form

Constructor Summary
`OldPowerPointFormatException(java.lang.String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OldPowerPointFormatException

    public OldPowerPointFormatException(java.lang.String s)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.